<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.usky.fire.mapper.DataRtMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.usky.fire.domain.DataRt">
        <id column="id" property="id" />
        <result column="company_name" property="companyName" />
        <result column="company_id" property="companyId" />
        <result column="system_type" property="systemType" />
        <result column="device_name" property="deviceName" />
        <result column="device_code" property="deviceCode" />
        <result column="device_type" property="deviceType" />
        <result column="ports" property="ports" />
        <result column="port_code" property="portCode" />
        <result column="port_name" property="portName" />
        <result column="port_data" property="portData" />
        <result column="data_time" property="dataTime" />
        <result column="content" property="content" />
    </resultMap>

</mapper>
